package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 认证状态(1.待审核,2.已认证,3.审核拒绝)枚举类
*
* @author zxfei
*/
public enum ApplicationStatusEnum {
    待审核(1, "待审核"),
    已认证(2, "已认证"),
    审核拒绝(3, "审核拒绝");
    private Integer value;
    private String desc;

    ApplicationStatusEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static ApplicationStatusEnum getByValue(Integer value) {
        for (ApplicationStatusEnum applicationStatusEnum : ApplicationStatusEnum.values()) {
            if (applicationStatusEnum.getValue() == value) {
                return applicationStatusEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (ApplicationStatusEnum item : ApplicationStatusEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}