package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 申报状态(0.草稿,1.办理中,2.完结)枚举类
*
* @author zxfei
*/
public enum DeclareStatusEnum {
    草稿(0, "草稿"),
    办理中(1, "办理中"),
    完结(2, "完结"),
    撤销(99, "撤销");
    private Integer value;
    private String desc;

    DeclareStatusEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static DeclareStatusEnum getByValue(Integer value) {
        for (DeclareStatusEnum declareStatusEnum : DeclareStatusEnum.values()) {
            if (declareStatusEnum.getValue() == value) {
                return declareStatusEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (DeclareStatusEnum item : DeclareStatusEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}