package com.mortals.xhx.daemon.applicationservice;

import com.mortals.framework.springcloud.service.IApplicationStartedService;
import com.mortals.framework.util.ThreadPool;
import com.mortals.xhx.base.system.resource.service.ResourceService;
import com.mortals.xhx.base.system.user.service.UserService;
import lombok.extern.slf4j.Slf4j;
import org.checkerframework.checker.units.qual.A;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
@Slf4j
public class StartService implements IApplicationStartedService {

    @Autowired
    private ResourceService resourceService;
    @Autowired
    private UserService userService;

    @Override
    public void start() {
        ThreadPool.getInstance().init(10);
        try {

            log.info("开始同步用户！");
            userService.refreshUser();
            log.info("结束同步用户！");
            log.info("刷新资源...");
            resourceService.refreshResourceUrl("com.mortals.xhx", null);
        } catch (Exception e) {
            log.error("刷新资源失败", e);
        }
    }

    @Override
    public void stop() {
        log.info("停止服务..");

    }

    @Override
    public int getOrder() {
        return 10;
    }


}
