package com.mortals.xhx.module.category.model;
import java.util.List;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.category.model.vo.CategoryVo;
import com.mortals.xhx.module.matter.model.MatterSubEntity;
import lombok.Data;
/**
* 事项分类实体对象
*
* @author zxfei
* @date 2025-04-27
*/
@Data
public class CategoryEntity extends CategoryVo {
    private static final long serialVersionUID = 1L;

    /**
    * 分类编码
    */
    private String categoryCode;
    /**
    * 分类名称
    */
    private String categoryName;
    /**
    * 排序字段
    */
    private Integer sort;
    /**
    * 备注
    */
    private String remark;
    /**
    * 分类事项信息
    */
    private List<MatterSubEntity> matterSubList=new ArrayList<>();;
    public List<MatterSubEntity> getMatterSubList(){
      return matterSubList;
    }

    public void setMatterSubList(List<MatterSubEntity> matterSubList){
        this.matterSubList = matterSubList;
    }
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof CategoryEntity) {
            CategoryEntity tmp = (CategoryEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.categoryCode = "";
            this.categoryName = "";
            this.sort = 0;
            this.remark = "";
    }
}