package com.mortals.xhx.module.company.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.company.model.vo.CompanyVo;
import lombok.Data;
/**
 * 企业基本信息实体对象
 *
 * @author zxfei
 * @date 2025-04-27
 */
@Data
public class CompanyEntity extends CompanyVo {
    private static final long serialVersionUID = 1L;

    /**
     * 所属园区id
     */
    private Long parkId;
    /**
     * 园区名称
     */
    private String parkName;
    /**
     * 公司名称
     */
    private String name;
    /**
     * 申请人姓名
     */
    private String applyName;
    /**
     * 统一社会信用代码
     */
    private String socialCreditCode;
    /**
     * 公司介绍
     */
    private String introduction;
    /**
     * 电话号码
     */
    private String phone;
    /**
     * 企业公司地址
     */
    private String address;
    /**
     * 二维码
     */
    private String qrCode;
    /**
     * 申请人身份证code
     */
    private String applicantIdcardNumber;
    /**
     * 申请人身份证正面照片
     */
    private String applicantIdcardFrontPath;
    /**
     * 申请人身份证反面照片
     */
    private String applicantIdcardBackPath;
    /**
     * 申请人营业执照照片
     */
    private String businessLicensePath;
    /**
     * 认证状态(1.待审核,2.已认证,3.审核拒绝)
     */
    private Integer applicationStatus;
    /**
     * 申报次数
     */
    private Integer declarationCount;
    /**
     * 备注
     */
    private String remark;
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof CompanyEntity) {
            CompanyEntity tmp = (CompanyEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
        this.parkId = null;
        this.parkName = "";
        this.name = "";
        this.applyName = "";
        this.socialCreditCode = "";
        this.introduction = "";
        this.phone = "";
        this.address = "";
        this.qrCode = "";
        this.applicantIdcardNumber = "";
        this.applicantIdcardFrontPath = "";
        this.applicantIdcardBackPath = "";
        this.businessLicensePath = "";
        this.applicationStatus = 0;
        this.declarationCount = 0;
        this.remark = "";
    }
}