package com.mortals.xhx.module.company.model;

import java.util.List;
import com.mortals.xhx.module.company.model.CompanyEntity;
/**
 * 企业基本信息查询对象
 *
 * @author zxfei
 * @date 2025-04-27
 */
public class CompanyQuery extends CompanyEntity {
    /** 开始 公司id */
    private Long idStart;

    /** 结束 公司id */
    private Long idEnd;

    /** 增加 公司id */
    private Long idIncrement;

    /** 公司id列表 */
    private List <Long> idList;

    /** 公司id排除列表 */
    private List <Long> idNotList;

    /** 开始 所属园区id */
    private Long parkIdStart;

    /** 结束 所属园区id */
    private Long parkIdEnd;

    /** 增加 所属园区id */
    private Long parkIdIncrement;

    /** 所属园区id列表 */
    private List <Long> parkIdList;

    /** 所属园区id排除列表 */
    private List <Long> parkIdNotList;

    /** 园区名称 */
    private List<String> parkNameList;

    /** 园区名称排除列表 */
    private List <String> parkNameNotList;
    /** 公司名称 */
    private List<String> nameList;

    /** 公司名称排除列表 */
    private List <String> nameNotList;
    /** 申请人姓名 */
    private List<String> applyNameList;

    /** 申请人姓名排除列表 */
    private List <String> applyNameNotList;
    /** 统一社会信用代码 */
    private List<String> socialCreditCodeList;

    /** 统一社会信用代码排除列表 */
    private List <String> socialCreditCodeNotList;
    /** 公司介绍 */
    private List<String> introductionList;

    /** 公司介绍排除列表 */
    private List <String> introductionNotList;
    /** 电话号码 */
    private List<String> phoneList;

    /** 电话号码排除列表 */
    private List <String> phoneNotList;
    /** 企业公司地址 */
    private List<String> addressList;

    /** 企业公司地址排除列表 */
    private List <String> addressNotList;
    /** 二维码 */
    private List<String> qrCodeList;

    /** 二维码排除列表 */
    private List <String> qrCodeNotList;
    /** 申请人身份证code */
    private List<String> applicantIdcardNumberList;

    /** 申请人身份证code排除列表 */
    private List <String> applicantIdcardNumberNotList;
    /** 申请人身份证正面照片 */
    private List<String> applicantIdcardFrontPathList;

    /** 申请人身份证正面照片排除列表 */
    private List <String> applicantIdcardFrontPathNotList;
    /** 申请人身份证反面照片 */
    private List<String> applicantIdcardBackPathList;

    /** 申请人身份证反面照片排除列表 */
    private List <String> applicantIdcardBackPathNotList;
    /** 申请人营业执照照片 */
    private List<String> businessLicensePathList;

    /** 申请人营业执照照片排除列表 */
    private List <String> businessLicensePathNotList;
    /** 开始 认证状态(1.待审核,2.已认证,3.审核拒绝) */
    private Integer applicationStatusStart;

    /** 结束 认证状态(1.待审核,2.已认证,3.审核拒绝) */
    private Integer applicationStatusEnd;

    /** 增加 认证状态(1.待审核,2.已认证,3.审核拒绝) */
    private Integer applicationStatusIncrement;

    /** 认证状态(1.待审核,2.已认证,3.审核拒绝)列表 */
    private List <Integer> applicationStatusList;

    /** 认证状态(1.待审核,2.已认证,3.审核拒绝)排除列表 */
    private List <Integer> applicationStatusNotList;

    /** 开始 申报次数 */
    private Integer declarationCountStart;

    /** 结束 申报次数 */
    private Integer declarationCountEnd;

    /** 增加 申报次数 */
    private Integer declarationCountIncrement;

    /** 申报次数列表 */
    private List <Integer> declarationCountList;

    /** 申报次数排除列表 */
    private List <Integer> declarationCountNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<CompanyQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<CompanyQuery> andConditionList;

    public CompanyQuery(){}

    /**
     * 获取 开始 公司id
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 公司id
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 公司id
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 公司id
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 公司id
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 公司id
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 公司id
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 公司id
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 公司id
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 公司id
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 所属园区id
     * @return parkIdStart
     */
    public Long getParkIdStart(){
        return this.parkIdStart;
    }

    /**
     * 设置 开始 所属园区id
     * @param parkIdStart
     */
    public void setParkIdStart(Long parkIdStart){
        this.parkIdStart = parkIdStart;
    }

    /**
     * 获取 结束 所属园区id
     * @return $parkIdEnd
     */
    public Long getParkIdEnd(){
        return this.parkIdEnd;
    }

    /**
     * 设置 结束 所属园区id
     * @param parkIdEnd
     */
    public void setParkIdEnd(Long parkIdEnd){
        this.parkIdEnd = parkIdEnd;
    }

    /**
     * 获取 增加 所属园区id
     * @return parkIdIncrement
     */
    public Long getParkIdIncrement(){
        return this.parkIdIncrement;
    }

    /**
     * 设置 增加 所属园区id
     * @param parkIdIncrement
     */
    public void setParkIdIncrement(Long parkIdIncrement){
        this.parkIdIncrement = parkIdIncrement;
    }

    /**
     * 获取 所属园区id
     * @return parkIdList
     */
    public List<Long> getParkIdList(){
        return this.parkIdList;
    }

    /**
     * 设置 所属园区id
     * @param parkIdList
     */
    public void setParkIdList(List<Long> parkIdList){
        this.parkIdList = parkIdList;
    }

    /**
     * 获取 所属园区id
     * @return parkIdNotList
     */
    public List<Long> getParkIdNotList(){
        return this.parkIdNotList;
    }

    /**
     * 设置 所属园区id
     * @param parkIdNotList
     */
    public void setParkIdNotList(List<Long> parkIdNotList){
        this.parkIdNotList = parkIdNotList;
    }


    /**
     * 获取 园区名称
     * @return parkNameList
     */
    public List<String> getParkNameList(){
        return this.parkNameList;
    }

    /**
     * 设置 园区名称
     * @param parkNameList
     */
    public void setParkNameList(List<String> parkNameList){
        this.parkNameList = parkNameList;
    }

    /**
     * 获取 园区名称
     * @return parkNameNotList
     */
    public List<String> getParkNameNotList(){
        return this.parkNameNotList;
    }

    /**
     * 设置 园区名称
     * @param parkNameNotList
     */
    public void setParkNameNotList(List<String> parkNameNotList){
        this.parkNameNotList = parkNameNotList;
    }

    /**
     * 获取 公司名称
     * @return nameList
     */
    public List<String> getNameList(){
        return this.nameList;
    }

    /**
     * 设置 公司名称
     * @param nameList
     */
    public void setNameList(List<String> nameList){
        this.nameList = nameList;
    }

    /**
     * 获取 公司名称
     * @return nameNotList
     */
    public List<String> getNameNotList(){
        return this.nameNotList;
    }

    /**
     * 设置 公司名称
     * @param nameNotList
     */
    public void setNameNotList(List<String> nameNotList){
        this.nameNotList = nameNotList;
    }

    /**
     * 获取 申请人姓名
     * @return applyNameList
     */
    public List<String> getApplyNameList(){
        return this.applyNameList;
    }

    /**
     * 设置 申请人姓名
     * @param applyNameList
     */
    public void setApplyNameList(List<String> applyNameList){
        this.applyNameList = applyNameList;
    }

    /**
     * 获取 申请人姓名
     * @return applyNameNotList
     */
    public List<String> getApplyNameNotList(){
        return this.applyNameNotList;
    }

    /**
     * 设置 申请人姓名
     * @param applyNameNotList
     */
    public void setApplyNameNotList(List<String> applyNameNotList){
        this.applyNameNotList = applyNameNotList;
    }

    /**
     * 获取 统一社会信用代码
     * @return socialCreditCodeList
     */
    public List<String> getSocialCreditCodeList(){
        return this.socialCreditCodeList;
    }

    /**
     * 设置 统一社会信用代码
     * @param socialCreditCodeList
     */
    public void setSocialCreditCodeList(List<String> socialCreditCodeList){
        this.socialCreditCodeList = socialCreditCodeList;
    }

    /**
     * 获取 统一社会信用代码
     * @return socialCreditCodeNotList
     */
    public List<String> getSocialCreditCodeNotList(){
        return this.socialCreditCodeNotList;
    }

    /**
     * 设置 统一社会信用代码
     * @param socialCreditCodeNotList
     */
    public void setSocialCreditCodeNotList(List<String> socialCreditCodeNotList){
        this.socialCreditCodeNotList = socialCreditCodeNotList;
    }

    /**
     * 获取 公司介绍
     * @return introductionList
     */
    public List<String> getIntroductionList(){
        return this.introductionList;
    }

    /**
     * 设置 公司介绍
     * @param introductionList
     */
    public void setIntroductionList(List<String> introductionList){
        this.introductionList = introductionList;
    }

    /**
     * 获取 公司介绍
     * @return introductionNotList
     */
    public List<String> getIntroductionNotList(){
        return this.introductionNotList;
    }

    /**
     * 设置 公司介绍
     * @param introductionNotList
     */
    public void setIntroductionNotList(List<String> introductionNotList){
        this.introductionNotList = introductionNotList;
    }

    /**
     * 获取 电话号码
     * @return phoneList
     */
    public List<String> getPhoneList(){
        return this.phoneList;
    }

    /**
     * 设置 电话号码
     * @param phoneList
     */
    public void setPhoneList(List<String> phoneList){
        this.phoneList = phoneList;
    }

    /**
     * 获取 电话号码
     * @return phoneNotList
     */
    public List<String> getPhoneNotList(){
        return this.phoneNotList;
    }

    /**
     * 设置 电话号码
     * @param phoneNotList
     */
    public void setPhoneNotList(List<String> phoneNotList){
        this.phoneNotList = phoneNotList;
    }

    /**
     * 获取 企业公司地址
     * @return addressList
     */
    public List<String> getAddressList(){
        return this.addressList;
    }

    /**
     * 设置 企业公司地址
     * @param addressList
     */
    public void setAddressList(List<String> addressList){
        this.addressList = addressList;
    }

    /**
     * 获取 企业公司地址
     * @return addressNotList
     */
    public List<String> getAddressNotList(){
        return this.addressNotList;
    }

    /**
     * 设置 企业公司地址
     * @param addressNotList
     */
    public void setAddressNotList(List<String> addressNotList){
        this.addressNotList = addressNotList;
    }

    /**
     * 获取 二维码
     * @return qrCodeList
     */
    public List<String> getQrCodeList(){
        return this.qrCodeList;
    }

    /**
     * 设置 二维码
     * @param qrCodeList
     */
    public void setQrCodeList(List<String> qrCodeList){
        this.qrCodeList = qrCodeList;
    }

    /**
     * 获取 二维码
     * @return qrCodeNotList
     */
    public List<String> getQrCodeNotList(){
        return this.qrCodeNotList;
    }

    /**
     * 设置 二维码
     * @param qrCodeNotList
     */
    public void setQrCodeNotList(List<String> qrCodeNotList){
        this.qrCodeNotList = qrCodeNotList;
    }

    /**
     * 获取 申请人身份证code
     * @return applicantIdcardNumberList
     */
    public List<String> getApplicantIdcardNumberList(){
        return this.applicantIdcardNumberList;
    }

    /**
     * 设置 申请人身份证code
     * @param applicantIdcardNumberList
     */
    public void setApplicantIdcardNumberList(List<String> applicantIdcardNumberList){
        this.applicantIdcardNumberList = applicantIdcardNumberList;
    }

    /**
     * 获取 申请人身份证code
     * @return applicantIdcardNumberNotList
     */
    public List<String> getApplicantIdcardNumberNotList(){
        return this.applicantIdcardNumberNotList;
    }

    /**
     * 设置 申请人身份证code
     * @param applicantIdcardNumberNotList
     */
    public void setApplicantIdcardNumberNotList(List<String> applicantIdcardNumberNotList){
        this.applicantIdcardNumberNotList = applicantIdcardNumberNotList;
    }

    /**
     * 获取 申请人身份证正面照片
     * @return applicantIdcardFrontPathList
     */
    public List<String> getApplicantIdcardFrontPathList(){
        return this.applicantIdcardFrontPathList;
    }

    /**
     * 设置 申请人身份证正面照片
     * @param applicantIdcardFrontPathList
     */
    public void setApplicantIdcardFrontPathList(List<String> applicantIdcardFrontPathList){
        this.applicantIdcardFrontPathList = applicantIdcardFrontPathList;
    }

    /**
     * 获取 申请人身份证正面照片
     * @return applicantIdcardFrontPathNotList
     */
    public List<String> getApplicantIdcardFrontPathNotList(){
        return this.applicantIdcardFrontPathNotList;
    }

    /**
     * 设置 申请人身份证正面照片
     * @param applicantIdcardFrontPathNotList
     */
    public void setApplicantIdcardFrontPathNotList(List<String> applicantIdcardFrontPathNotList){
        this.applicantIdcardFrontPathNotList = applicantIdcardFrontPathNotList;
    }

    /**
     * 获取 申请人身份证反面照片
     * @return applicantIdcardBackPathList
     */
    public List<String> getApplicantIdcardBackPathList(){
        return this.applicantIdcardBackPathList;
    }

    /**
     * 设置 申请人身份证反面照片
     * @param applicantIdcardBackPathList
     */
    public void setApplicantIdcardBackPathList(List<String> applicantIdcardBackPathList){
        this.applicantIdcardBackPathList = applicantIdcardBackPathList;
    }

    /**
     * 获取 申请人身份证反面照片
     * @return applicantIdcardBackPathNotList
     */
    public List<String> getApplicantIdcardBackPathNotList(){
        return this.applicantIdcardBackPathNotList;
    }

    /**
     * 设置 申请人身份证反面照片
     * @param applicantIdcardBackPathNotList
     */
    public void setApplicantIdcardBackPathNotList(List<String> applicantIdcardBackPathNotList){
        this.applicantIdcardBackPathNotList = applicantIdcardBackPathNotList;
    }

    /**
     * 获取 申请人营业执照照片
     * @return businessLicensePathList
     */
    public List<String> getBusinessLicensePathList(){
        return this.businessLicensePathList;
    }

    /**
     * 设置 申请人营业执照照片
     * @param businessLicensePathList
     */
    public void setBusinessLicensePathList(List<String> businessLicensePathList){
        this.businessLicensePathList = businessLicensePathList;
    }

    /**
     * 获取 申请人营业执照照片
     * @return businessLicensePathNotList
     */
    public List<String> getBusinessLicensePathNotList(){
        return this.businessLicensePathNotList;
    }

    /**
     * 设置 申请人营业执照照片
     * @param businessLicensePathNotList
     */
    public void setBusinessLicensePathNotList(List<String> businessLicensePathNotList){
        this.businessLicensePathNotList = businessLicensePathNotList;
    }

    /**
     * 获取 开始 认证状态(1.待审核,2.已认证,3.审核拒绝)
     * @return applicationStatusStart
     */
    public Integer getApplicationStatusStart(){
        return this.applicationStatusStart;
    }

    /**
     * 设置 开始 认证状态(1.待审核,2.已认证,3.审核拒绝)
     * @param applicationStatusStart
     */
    public void setApplicationStatusStart(Integer applicationStatusStart){
        this.applicationStatusStart = applicationStatusStart;
    }

    /**
     * 获取 结束 认证状态(1.待审核,2.已认证,3.审核拒绝)
     * @return $applicationStatusEnd
     */
    public Integer getApplicationStatusEnd(){
        return this.applicationStatusEnd;
    }

    /**
     * 设置 结束 认证状态(1.待审核,2.已认证,3.审核拒绝)
     * @param applicationStatusEnd
     */
    public void setApplicationStatusEnd(Integer applicationStatusEnd){
        this.applicationStatusEnd = applicationStatusEnd;
    }

    /**
     * 获取 增加 认证状态(1.待审核,2.已认证,3.审核拒绝)
     * @return applicationStatusIncrement
     */
    public Integer getApplicationStatusIncrement(){
        return this.applicationStatusIncrement;
    }

    /**
     * 设置 增加 认证状态(1.待审核,2.已认证,3.审核拒绝)
     * @param applicationStatusIncrement
     */
    public void setApplicationStatusIncrement(Integer applicationStatusIncrement){
        this.applicationStatusIncrement = applicationStatusIncrement;
    }

    /**
     * 获取 认证状态(1.待审核,2.已认证,3.审核拒绝)
     * @return applicationStatusList
     */
    public List<Integer> getApplicationStatusList(){
        return this.applicationStatusList;
    }

    /**
     * 设置 认证状态(1.待审核,2.已认证,3.审核拒绝)
     * @param applicationStatusList
     */
    public void setApplicationStatusList(List<Integer> applicationStatusList){
        this.applicationStatusList = applicationStatusList;
    }

    /**
     * 获取 认证状态(1.待审核,2.已认证,3.审核拒绝)
     * @return applicationStatusNotList
     */
    public List<Integer> getApplicationStatusNotList(){
        return this.applicationStatusNotList;
    }

    /**
     * 设置 认证状态(1.待审核,2.已认证,3.审核拒绝)
     * @param applicationStatusNotList
     */
    public void setApplicationStatusNotList(List<Integer> applicationStatusNotList){
        this.applicationStatusNotList = applicationStatusNotList;
    }


    /**
     * 获取 开始 申报次数
     * @return declarationCountStart
     */
    public Integer getDeclarationCountStart(){
        return this.declarationCountStart;
    }

    /**
     * 设置 开始 申报次数
     * @param declarationCountStart
     */
    public void setDeclarationCountStart(Integer declarationCountStart){
        this.declarationCountStart = declarationCountStart;
    }

    /**
     * 获取 结束 申报次数
     * @return $declarationCountEnd
     */
    public Integer getDeclarationCountEnd(){
        return this.declarationCountEnd;
    }

    /**
     * 设置 结束 申报次数
     * @param declarationCountEnd
     */
    public void setDeclarationCountEnd(Integer declarationCountEnd){
        this.declarationCountEnd = declarationCountEnd;
    }

    /**
     * 获取 增加 申报次数
     * @return declarationCountIncrement
     */
    public Integer getDeclarationCountIncrement(){
        return this.declarationCountIncrement;
    }

    /**
     * 设置 增加 申报次数
     * @param declarationCountIncrement
     */
    public void setDeclarationCountIncrement(Integer declarationCountIncrement){
        this.declarationCountIncrement = declarationCountIncrement;
    }

    /**
     * 获取 申报次数
     * @return declarationCountList
     */
    public List<Integer> getDeclarationCountList(){
        return this.declarationCountList;
    }

    /**
     * 设置 申报次数
     * @param declarationCountList
     */
    public void setDeclarationCountList(List<Integer> declarationCountList){
        this.declarationCountList = declarationCountList;
    }

    /**
     * 获取 申报次数
     * @return declarationCountNotList
     */
    public List<Integer> getDeclarationCountNotList(){
        return this.declarationCountNotList;
    }

    /**
     * 设置 申报次数
     * @param declarationCountNotList
     */
    public void setDeclarationCountNotList(List<Integer> declarationCountNotList){
        this.declarationCountNotList = declarationCountNotList;
    }


    /**
     * 获取 备注
     * @return remarkList
     */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
     * 获取 备注
     * @return remarkNotList
     */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
     * 设置 备注
     * @param remarkNotList
     */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 设置  公司id
     * @param id
     */
    public CompanyQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 公司id
     * @param idStart
     */
    public CompanyQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 公司id
     * @param idEnd
     */
    public CompanyQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 公司id
     * @param idIncrement
     */
    public CompanyQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 公司id
     * @param idList
     */
    public CompanyQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 公司id
     * @param idNotList
     */
    public CompanyQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  所属园区id
     * @param parkId
     */
    public CompanyQuery parkId(Long parkId){
        setParkId(parkId);
        return this;
    }

    /**
     * 设置 开始 所属园区id
     * @param parkIdStart
     */
    public CompanyQuery parkIdStart(Long parkIdStart){
        this.parkIdStart = parkIdStart;
        return this;
    }

    /**
     * 设置 结束 所属园区id
     * @param parkIdEnd
     */
    public CompanyQuery parkIdEnd(Long parkIdEnd){
        this.parkIdEnd = parkIdEnd;
        return this;
    }

    /**
     * 设置 增加 所属园区id
     * @param parkIdIncrement
     */
    public CompanyQuery parkIdIncrement(Long parkIdIncrement){
        this.parkIdIncrement = parkIdIncrement;
        return this;
    }

    /**
     * 设置 所属园区id
     * @param parkIdList
     */
    public CompanyQuery parkIdList(List<Long> parkIdList){
        this.parkIdList = parkIdList;
        return this;
    }

    /**
     * 设置 所属园区id
     * @param parkIdNotList
     */
    public CompanyQuery parkIdNotList(List<Long> parkIdNotList){
        this.parkIdNotList = parkIdNotList;
        return this;
    }


    /**
     * 设置 园区名称
     * @param parkName
     */
    public CompanyQuery parkName(String parkName){
        setParkName(parkName);
        return this;
    }

    /**
     * 设置 园区名称
     * @param parkNameList
     */
    public CompanyQuery parkNameList(List<String> parkNameList){
        this.parkNameList = parkNameList;
        return this;
    }


    /**
     * 设置 公司名称
     * @param name
     */
    public CompanyQuery name(String name){
        setName(name);
        return this;
    }

    /**
     * 设置 公司名称
     * @param nameList
     */
    public CompanyQuery nameList(List<String> nameList){
        this.nameList = nameList;
        return this;
    }


    /**
     * 设置 申请人姓名
     * @param applyName
     */
    public CompanyQuery applyName(String applyName){
        setApplyName(applyName);
        return this;
    }

    /**
     * 设置 申请人姓名
     * @param applyNameList
     */
    public CompanyQuery applyNameList(List<String> applyNameList){
        this.applyNameList = applyNameList;
        return this;
    }


    /**
     * 设置 统一社会信用代码
     * @param socialCreditCode
     */
    public CompanyQuery socialCreditCode(String socialCreditCode){
        setSocialCreditCode(socialCreditCode);
        return this;
    }

    /**
     * 设置 统一社会信用代码
     * @param socialCreditCodeList
     */
    public CompanyQuery socialCreditCodeList(List<String> socialCreditCodeList){
        this.socialCreditCodeList = socialCreditCodeList;
        return this;
    }


    /**
     * 设置 公司介绍
     * @param introduction
     */
    public CompanyQuery introduction(String introduction){
        setIntroduction(introduction);
        return this;
    }

    /**
     * 设置 公司介绍
     * @param introductionList
     */
    public CompanyQuery introductionList(List<String> introductionList){
        this.introductionList = introductionList;
        return this;
    }


    /**
     * 设置 电话号码
     * @param phone
     */
    public CompanyQuery phone(String phone){
        setPhone(phone);
        return this;
    }

    /**
     * 设置 电话号码
     * @param phoneList
     */
    public CompanyQuery phoneList(List<String> phoneList){
        this.phoneList = phoneList;
        return this;
    }


    /**
     * 设置 企业公司地址
     * @param address
     */
    public CompanyQuery address(String address){
        setAddress(address);
        return this;
    }

    /**
     * 设置 企业公司地址
     * @param addressList
     */
    public CompanyQuery addressList(List<String> addressList){
        this.addressList = addressList;
        return this;
    }


    /**
     * 设置 二维码
     * @param qrCode
     */
    public CompanyQuery qrCode(String qrCode){
        setQrCode(qrCode);
        return this;
    }

    /**
     * 设置 二维码
     * @param qrCodeList
     */
    public CompanyQuery qrCodeList(List<String> qrCodeList){
        this.qrCodeList = qrCodeList;
        return this;
    }


    /**
     * 设置 申请人身份证code
     * @param applicantIdcardNumber
     */
    public CompanyQuery applicantIdcardNumber(String applicantIdcardNumber){
        setApplicantIdcardNumber(applicantIdcardNumber);
        return this;
    }

    /**
     * 设置 申请人身份证code
     * @param applicantIdcardNumberList
     */
    public CompanyQuery applicantIdcardNumberList(List<String> applicantIdcardNumberList){
        this.applicantIdcardNumberList = applicantIdcardNumberList;
        return this;
    }


    /**
     * 设置 申请人身份证正面照片
     * @param applicantIdcardFrontPath
     */
    public CompanyQuery applicantIdcardFrontPath(String applicantIdcardFrontPath){
        setApplicantIdcardFrontPath(applicantIdcardFrontPath);
        return this;
    }

    /**
     * 设置 申请人身份证正面照片
     * @param applicantIdcardFrontPathList
     */
    public CompanyQuery applicantIdcardFrontPathList(List<String> applicantIdcardFrontPathList){
        this.applicantIdcardFrontPathList = applicantIdcardFrontPathList;
        return this;
    }


    /**
     * 设置 申请人身份证反面照片
     * @param applicantIdcardBackPath
     */
    public CompanyQuery applicantIdcardBackPath(String applicantIdcardBackPath){
        setApplicantIdcardBackPath(applicantIdcardBackPath);
        return this;
    }

    /**
     * 设置 申请人身份证反面照片
     * @param applicantIdcardBackPathList
     */
    public CompanyQuery applicantIdcardBackPathList(List<String> applicantIdcardBackPathList){
        this.applicantIdcardBackPathList = applicantIdcardBackPathList;
        return this;
    }


    /**
     * 设置 申请人营业执照照片
     * @param businessLicensePath
     */
    public CompanyQuery businessLicensePath(String businessLicensePath){
        setBusinessLicensePath(businessLicensePath);
        return this;
    }

    /**
     * 设置 申请人营业执照照片
     * @param businessLicensePathList
     */
    public CompanyQuery businessLicensePathList(List<String> businessLicensePathList){
        this.businessLicensePathList = businessLicensePathList;
        return this;
    }

    /**
     * 设置  认证状态(1.待审核,2.已认证,3.审核拒绝)
     * @param applicationStatus
     */
    public CompanyQuery applicationStatus(Integer applicationStatus){
        setApplicationStatus(applicationStatus);
        return this;
    }

    /**
     * 设置 开始 认证状态(1.待审核,2.已认证,3.审核拒绝)
     * @param applicationStatusStart
     */
    public CompanyQuery applicationStatusStart(Integer applicationStatusStart){
        this.applicationStatusStart = applicationStatusStart;
        return this;
    }

    /**
     * 设置 结束 认证状态(1.待审核,2.已认证,3.审核拒绝)
     * @param applicationStatusEnd
     */
    public CompanyQuery applicationStatusEnd(Integer applicationStatusEnd){
        this.applicationStatusEnd = applicationStatusEnd;
        return this;
    }

    /**
     * 设置 增加 认证状态(1.待审核,2.已认证,3.审核拒绝)
     * @param applicationStatusIncrement
     */
    public CompanyQuery applicationStatusIncrement(Integer applicationStatusIncrement){
        this.applicationStatusIncrement = applicationStatusIncrement;
        return this;
    }

    /**
     * 设置 认证状态(1.待审核,2.已认证,3.审核拒绝)
     * @param applicationStatusList
     */
    public CompanyQuery applicationStatusList(List<Integer> applicationStatusList){
        this.applicationStatusList = applicationStatusList;
        return this;
    }

    /**
     * 设置 认证状态(1.待审核,2.已认证,3.审核拒绝)
     * @param applicationStatusNotList
     */
    public CompanyQuery applicationStatusNotList(List<Integer> applicationStatusNotList){
        this.applicationStatusNotList = applicationStatusNotList;
        return this;
    }

    /**
     * 设置  申报次数
     * @param declarationCount
     */
    public CompanyQuery declarationCount(Integer declarationCount){
        setDeclarationCount(declarationCount);
        return this;
    }

    /**
     * 设置 开始 申报次数
     * @param declarationCountStart
     */
    public CompanyQuery declarationCountStart(Integer declarationCountStart){
        this.declarationCountStart = declarationCountStart;
        return this;
    }

    /**
     * 设置 结束 申报次数
     * @param declarationCountEnd
     */
    public CompanyQuery declarationCountEnd(Integer declarationCountEnd){
        this.declarationCountEnd = declarationCountEnd;
        return this;
    }

    /**
     * 设置 增加 申报次数
     * @param declarationCountIncrement
     */
    public CompanyQuery declarationCountIncrement(Integer declarationCountIncrement){
        this.declarationCountIncrement = declarationCountIncrement;
        return this;
    }

    /**
     * 设置 申报次数
     * @param declarationCountList
     */
    public CompanyQuery declarationCountList(List<Integer> declarationCountList){
        this.declarationCountList = declarationCountList;
        return this;
    }

    /**
     * 设置 申报次数
     * @param declarationCountNotList
     */
    public CompanyQuery declarationCountNotList(List<Integer> declarationCountNotList){
        this.declarationCountNotList = declarationCountNotList;
        return this;
    }


    /**
     * 设置 备注
     * @param remark
     */
    public CompanyQuery remark(String remark){
        setRemark(remark);
        return this;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public CompanyQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
        return this;
    }

    /**
     * 设置  创建用户
     * @param createUserId
     */
    public CompanyQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public CompanyQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public CompanyQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public CompanyQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public CompanyQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public CompanyQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }



    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<CompanyQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<CompanyQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<CompanyQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<CompanyQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}