package com.mortals.xhx.module.company.service.impl;
import com.mortals.framework.model.PageInfo;
import com.mortals.framework.util.StringUtils;
import com.mortals.xhx.busiz.req.H5Req;
import com.mortals.xhx.common.utils.BeanUtil;
import com.mortals.xhx.module.company.model.CompanyQuery;
import org.springframework.beans.BeanUtils;

import java.util.Date;
import java.util.function.Function;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.company.dao.CompanyDao;
import com.mortals.xhx.module.company.model.CompanyEntity;
import com.mortals.xhx.module.company.service.CompanyService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.util.ObjectUtils;

/**
* CompanyService
* 企业基本信息 service实现
*
* @author zxfei
* @date 2025-04-27
*/
@Service("companyService")
@Slf4j
public class CompanyServiceImpl extends AbstractCRUDServiceImpl<CompanyDao, CompanyEntity, Long> implements CompanyService {

    @Override
    public CompanyEntity getCompanyByH5(H5Req req) {
        if(req.getParkId()!=null
                && StringUtils.isNotEmpty(req.getApplyName())
                && StringUtils.isNotEmpty(req.getPhone())) {
            CompanyEntity companyEntity = this.selectOne(new CompanyQuery().parkId(req.getParkId()).applyName(req.getApplyName()).phone(req.getPhone()));
            if (ObjectUtils.isEmpty(companyEntity)) {
                companyEntity = new CompanyEntity();
                companyEntity.initAttrValue();
                BeanUtils.copyProperties(req, companyEntity, BeanUtil.getNullPropertyNames(req));
                companyEntity.setCreateTime(new Date());
                companyEntity.setCreateUserId(1L);
                return this.save(companyEntity);
            } else {
                return companyEntity;
            }
        }else {
            return null;
        }
    }
}