package com.mortals.xhx.module.declare.service;
import com.mortals.framework.common.Rest;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.declare.model.DeclareEntity;
import com.mortals.xhx.module.declare.dao.DeclareDao;
import com.mortals.xhx.module.declare.model.DeclareQuery;

/**
* DeclareService
*
* 企业代办申报 service接口
*
* @author zxfei
* @date 2025-04-27
*/
public interface DeclareService extends ICRUDService<DeclareEntity,Long>{

    DeclareDao getDao();

    /**
     * 取消申报
     * @param query
     * @param context
     * @return
     */
    Rest<String> declareCancel(DeclareQuery query, Context context);


    /**
     * 分派工作
     * @param query
     * @param context
     * @return
     */
    Rest<String> doAssignWork(DeclareQuery query, Context context);



    /**
     * 办结工作
     * @param query
     * @param context
     * @return
     */
    Rest<String> doFinWork(DeclareQuery query, Context context);


}