package com.mortals.xhx.module.evaluation.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.evaluation.model.vo.EvaluationInfoVo;
import lombok.Data;
/**
* 用户代办帮办评价实体对象
*
* @author zxfei
* @date 2025-04-27
*/
@Data
public class EvaluationInfoEntity extends EvaluationInfoVo {
    private static final long serialVersionUID = 1L;

    /**
    * 申报id,对应所属 declare.id
    */
    private Long declareId;
    /**
    * 评价人 ID，关联用户表
    */
    private Long evaluatorId;
    /**
    * 评价人姓名或昵称
    */
    private String evaluatorName;
    /**
    * 评分，一般 1~5 星
    */
    private Integer score;
    /**
    * 评价内容
    */
    private String comment;
    /**
    * 意见建议
    */
    private String suggestion;
    /**
    * 评价状态(1.正常，2.删除，3.隐藏)
    */
    private Integer evalStatus;
    /**
    * 备注
    */
    private String remark;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof EvaluationInfoEntity) {
            EvaluationInfoEntity tmp = (EvaluationInfoEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.declareId = null;
            this.evaluatorId = null;
            this.evaluatorName = "";
            this.score = 5;
            this.comment = "";
            this.suggestion = "";
            this.evalStatus = 1;
            this.remark = "";
    }
}