package com.mortals.xhx.module.park.service.impl;

import com.mortals.framework.model.PageInfo;
import com.mortals.xhx.module.declare.model.DeclareEntity;
import com.mortals.xhx.module.declare.model.DeclareQuery;
import com.mortals.xhx.module.declare.service.DeclareService;
import org.springframework.beans.BeanUtils;

import java.util.List;
import java.util.function.Function;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.park.dao.ParkDao;
import com.mortals.xhx.module.park.model.ParkEntity;
import com.mortals.xhx.module.park.service.ParkService;
import lombok.extern.slf4j.Slf4j;

/**
 * ParkService
 * 园区基本信息 service实现
 *
 * @author zxfei
 * @date 2025-04-27
 */
@Service("parkService")
@Slf4j
public class ParkServiceImpl extends AbstractCRUDServiceImpl<ParkDao, ParkEntity, Long> implements ParkService {
    @Autowired
    private DeclareService declareService;

    @Override
    protected void updateAfter(ParkEntity entity, Context context) throws AppException {
        super.updateAfter(entity, context);
        List<DeclareEntity> declareEntities = declareService.find(new DeclareQuery().parkId(entity.getId()));
        for (DeclareEntity declareEntity : declareEntities) {
            declareEntity.setParkName(entity.getName());
        }
        declareService.update(declareEntities, context);


    }
}