package com.mortals.xhx.module.staff.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.staff.model.vo.StaffVo;
import lombok.Data;
/**
* 代办帮办人员实体对象
*
* @author zxfei
* @date 2025-05-08
*/
@Data
public class StaffEntity extends StaffVo {
    private static final long serialVersionUID = 1L;

    /**
    * user表外键，user.id
    */
    private Long userId;
    /**
    * 登录名
    */
    private String loginName;
    /**
    * 登录密码
    */
    private transient String loginPwd;
    /**
    * 真实姓名
    */
    private String realName;
    /**
    * 照片
    */
    private String photoPath;
    /**
    * 联系方式
    */
    private String phoneNumber;
    /**
    * 所属部门
    */
    private String deptName;
    /**
    * 累计代办次数
    */
    private Integer totalNum;
    /**
    * 累计评分
    */
    private Integer totalScore;
    /**
    * 备注
    */
    private String remark;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof StaffEntity) {
            StaffEntity tmp = (StaffEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.userId = null;
            this.loginName = "";
            this.loginPwd = "";
            this.realName = "";
            this.photoPath = "";
            this.phoneNumber = "";
            this.deptName = "";
            this.totalNum = 0;
            this.totalScore = 0;
            this.remark = "";
    }
}