package com.mortals.xhx.module.staff.model;

import java.util.List;
import com.mortals.xhx.module.staff.model.StaffEntity;
/**
* 代办帮办人员查询对象
*
* @author zxfei
* @date 2025-05-08
*/
public class StaffQuery extends StaffEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 user表外键，user.id */
    private Long userIdStart;

    /** 结束 user表外键，user.id */
    private Long userIdEnd;

    /** 增加 user表外键，user.id */
    private Long userIdIncrement;

    /** user表外键，user.id列表 */
    private List <Long> userIdList;

    /** user表外键，user.id排除列表 */
    private List <Long> userIdNotList;

    /** 登录名 */
    private List<String> loginNameList;

    /** 登录名排除列表 */
    private List <String> loginNameNotList;
    /** 登录密码 */
    private List<String> loginPwdList;

    /** 登录密码排除列表 */
    private List <String> loginPwdNotList;
    /** 真实姓名 */
    private List<String> realNameList;

    /** 真实姓名排除列表 */
    private List <String> realNameNotList;
    /** 照片 */
    private List<String> photoPathList;

    /** 照片排除列表 */
    private List <String> photoPathNotList;
    /** 联系方式 */
    private List<String> phoneNumberList;

    /** 联系方式排除列表 */
    private List <String> phoneNumberNotList;
    /** 所属部门 */
    private List<String> deptNameList;

    /** 所属部门排除列表 */
    private List <String> deptNameNotList;
    /** 开始 累计代办次数 */
    private Integer totalNumStart;

    /** 结束 累计代办次数 */
    private Integer totalNumEnd;

    /** 增加 累计代办次数 */
    private Integer totalNumIncrement;

    /** 累计代办次数列表 */
    private List <Integer> totalNumList;

    /** 累计代办次数排除列表 */
    private List <Integer> totalNumNotList;

    /** 开始 累计评分 */
    private Integer totalScoreStart;

    /** 结束 累计评分 */
    private Integer totalScoreEnd;

    /** 增加 累计评分 */
    private Integer totalScoreIncrement;

    /** 累计评分列表 */
    private List <Integer> totalScoreList;

    /** 累计评分排除列表 */
    private List <Integer> totalScoreNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<StaffQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<StaffQuery> andConditionList;

    public StaffQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 user表外键，user.id
    * @return userIdStart
    */
    public Long getUserIdStart(){
        return this.userIdStart;
    }

    /**
    * 设置 开始 user表外键，user.id
    * @param userIdStart
    */
    public void setUserIdStart(Long userIdStart){
        this.userIdStart = userIdStart;
    }

    /**
    * 获取 结束 user表外键，user.id
    * @return $userIdEnd
    */
    public Long getUserIdEnd(){
        return this.userIdEnd;
    }

    /**
    * 设置 结束 user表外键，user.id
    * @param userIdEnd
    */
    public void setUserIdEnd(Long userIdEnd){
        this.userIdEnd = userIdEnd;
    }

    /**
    * 获取 增加 user表外键，user.id
    * @return userIdIncrement
    */
    public Long getUserIdIncrement(){
        return this.userIdIncrement;
    }

    /**
    * 设置 增加 user表外键，user.id
    * @param userIdIncrement
    */
    public void setUserIdIncrement(Long userIdIncrement){
        this.userIdIncrement = userIdIncrement;
    }

    /**
    * 获取 user表外键，user.id
    * @return userIdList
    */
    public List<Long> getUserIdList(){
        return this.userIdList;
    }

    /**
    * 设置 user表外键，user.id
    * @param userIdList
    */
    public void setUserIdList(List<Long> userIdList){
        this.userIdList = userIdList;
    }

    /**
    * 获取 user表外键，user.id
    * @return userIdNotList
    */
    public List<Long> getUserIdNotList(){
        return this.userIdNotList;
    }

    /**
    * 设置 user表外键，user.id
    * @param userIdNotList
    */
    public void setUserIdNotList(List<Long> userIdNotList){
        this.userIdNotList = userIdNotList;
    }


    /**
    * 获取 登录名
    * @return loginNameList
    */
    public List<String> getLoginNameList(){
        return this.loginNameList;
    }

    /**
    * 设置 登录名
    * @param loginNameList
    */
    public void setLoginNameList(List<String> loginNameList){
        this.loginNameList = loginNameList;
    }

    /**
    * 获取 登录名
    * @return loginNameNotList
    */
    public List<String> getLoginNameNotList(){
        return this.loginNameNotList;
    }

    /**
    * 设置 登录名
    * @param loginNameNotList
    */
    public void setLoginNameNotList(List<String> loginNameNotList){
        this.loginNameNotList = loginNameNotList;
    }

    /**
    * 获取 登录密码
    * @return loginPwdList
    */
    public List<String> getLoginPwdList(){
        return this.loginPwdList;
    }

    /**
    * 设置 登录密码
    * @param loginPwdList
    */
    public void setLoginPwdList(List<String> loginPwdList){
        this.loginPwdList = loginPwdList;
    }

    /**
    * 获取 登录密码
    * @return loginPwdNotList
    */
    public List<String> getLoginPwdNotList(){
        return this.loginPwdNotList;
    }

    /**
    * 设置 登录密码
    * @param loginPwdNotList
    */
    public void setLoginPwdNotList(List<String> loginPwdNotList){
        this.loginPwdNotList = loginPwdNotList;
    }

    /**
    * 获取 真实姓名
    * @return realNameList
    */
    public List<String> getRealNameList(){
        return this.realNameList;
    }

    /**
    * 设置 真实姓名
    * @param realNameList
    */
    public void setRealNameList(List<String> realNameList){
        this.realNameList = realNameList;
    }

    /**
    * 获取 真实姓名
    * @return realNameNotList
    */
    public List<String> getRealNameNotList(){
        return this.realNameNotList;
    }

    /**
    * 设置 真实姓名
    * @param realNameNotList
    */
    public void setRealNameNotList(List<String> realNameNotList){
        this.realNameNotList = realNameNotList;
    }

    /**
    * 获取 照片
    * @return photoPathList
    */
    public List<String> getPhotoPathList(){
        return this.photoPathList;
    }

    /**
    * 设置 照片
    * @param photoPathList
    */
    public void setPhotoPathList(List<String> photoPathList){
        this.photoPathList = photoPathList;
    }

    /**
    * 获取 照片
    * @return photoPathNotList
    */
    public List<String> getPhotoPathNotList(){
        return this.photoPathNotList;
    }

    /**
    * 设置 照片
    * @param photoPathNotList
    */
    public void setPhotoPathNotList(List<String> photoPathNotList){
        this.photoPathNotList = photoPathNotList;
    }

    /**
    * 获取 联系方式
    * @return phoneNumberList
    */
    public List<String> getPhoneNumberList(){
        return this.phoneNumberList;
    }

    /**
    * 设置 联系方式
    * @param phoneNumberList
    */
    public void setPhoneNumberList(List<String> phoneNumberList){
        this.phoneNumberList = phoneNumberList;
    }

    /**
    * 获取 联系方式
    * @return phoneNumberNotList
    */
    public List<String> getPhoneNumberNotList(){
        return this.phoneNumberNotList;
    }

    /**
    * 设置 联系方式
    * @param phoneNumberNotList
    */
    public void setPhoneNumberNotList(List<String> phoneNumberNotList){
        this.phoneNumberNotList = phoneNumberNotList;
    }

    /**
    * 获取 所属部门
    * @return deptNameList
    */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
    * 设置 所属部门
    * @param deptNameList
    */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }

    /**
    * 获取 所属部门
    * @return deptNameNotList
    */
    public List<String> getDeptNameNotList(){
        return this.deptNameNotList;
    }

    /**
    * 设置 所属部门
    * @param deptNameNotList
    */
    public void setDeptNameNotList(List<String> deptNameNotList){
        this.deptNameNotList = deptNameNotList;
    }

    /**
    * 获取 开始 累计代办次数
    * @return totalNumStart
    */
    public Integer getTotalNumStart(){
        return this.totalNumStart;
    }

    /**
    * 设置 开始 累计代办次数
    * @param totalNumStart
    */
    public void setTotalNumStart(Integer totalNumStart){
        this.totalNumStart = totalNumStart;
    }

    /**
    * 获取 结束 累计代办次数
    * @return $totalNumEnd
    */
    public Integer getTotalNumEnd(){
        return this.totalNumEnd;
    }

    /**
    * 设置 结束 累计代办次数
    * @param totalNumEnd
    */
    public void setTotalNumEnd(Integer totalNumEnd){
        this.totalNumEnd = totalNumEnd;
    }

    /**
    * 获取 增加 累计代办次数
    * @return totalNumIncrement
    */
    public Integer getTotalNumIncrement(){
        return this.totalNumIncrement;
    }

    /**
    * 设置 增加 累计代办次数
    * @param totalNumIncrement
    */
    public void setTotalNumIncrement(Integer totalNumIncrement){
        this.totalNumIncrement = totalNumIncrement;
    }

    /**
    * 获取 累计代办次数
    * @return totalNumList
    */
    public List<Integer> getTotalNumList(){
        return this.totalNumList;
    }

    /**
    * 设置 累计代办次数
    * @param totalNumList
    */
    public void setTotalNumList(List<Integer> totalNumList){
        this.totalNumList = totalNumList;
    }

    /**
    * 获取 累计代办次数
    * @return totalNumNotList
    */
    public List<Integer> getTotalNumNotList(){
        return this.totalNumNotList;
    }

    /**
    * 设置 累计代办次数
    * @param totalNumNotList
    */
    public void setTotalNumNotList(List<Integer> totalNumNotList){
        this.totalNumNotList = totalNumNotList;
    }


    /**
    * 获取 开始 累计评分
    * @return totalScoreStart
    */
    public Integer getTotalScoreStart(){
        return this.totalScoreStart;
    }

    /**
    * 设置 开始 累计评分
    * @param totalScoreStart
    */
    public void setTotalScoreStart(Integer totalScoreStart){
        this.totalScoreStart = totalScoreStart;
    }

    /**
    * 获取 结束 累计评分
    * @return $totalScoreEnd
    */
    public Integer getTotalScoreEnd(){
        return this.totalScoreEnd;
    }

    /**
    * 设置 结束 累计评分
    * @param totalScoreEnd
    */
    public void setTotalScoreEnd(Integer totalScoreEnd){
        this.totalScoreEnd = totalScoreEnd;
    }

    /**
    * 获取 增加 累计评分
    * @return totalScoreIncrement
    */
    public Integer getTotalScoreIncrement(){
        return this.totalScoreIncrement;
    }

    /**
    * 设置 增加 累计评分
    * @param totalScoreIncrement
    */
    public void setTotalScoreIncrement(Integer totalScoreIncrement){
        this.totalScoreIncrement = totalScoreIncrement;
    }

    /**
    * 获取 累计评分
    * @return totalScoreList
    */
    public List<Integer> getTotalScoreList(){
        return this.totalScoreList;
    }

    /**
    * 设置 累计评分
    * @param totalScoreList
    */
    public void setTotalScoreList(List<Integer> totalScoreList){
        this.totalScoreList = totalScoreList;
    }

    /**
    * 获取 累计评分
    * @return totalScoreNotList
    */
    public List<Integer> getTotalScoreNotList(){
        return this.totalScoreNotList;
    }

    /**
    * 设置 累计评分
    * @param totalScoreNotList
    */
    public void setTotalScoreNotList(List<Integer> totalScoreNotList){
        this.totalScoreNotList = totalScoreNotList;
    }


    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public StaffQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public StaffQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public StaffQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public StaffQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public StaffQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public StaffQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  user表外键，user.id
    * @param userId
    */
    public StaffQuery userId(Long userId){
	    setUserId(userId);
		return this;
    }
	
	 /**
    * 设置 开始 user表外键，user.id
    * @param userIdStart
    */
    public StaffQuery userIdStart(Long userIdStart){
		this.userIdStart = userIdStart;
		return this;
    }

    /**
    * 设置 结束 user表外键，user.id
    * @param userIdEnd
    */
    public StaffQuery userIdEnd(Long userIdEnd){
		this.userIdEnd = userIdEnd;
		return this;
    }

    /**
    * 设置 增加 user表外键，user.id
    * @param userIdIncrement
    */
    public StaffQuery userIdIncrement(Long userIdIncrement){
		this.userIdIncrement = userIdIncrement;
		return this;
    }

    /**
    * 设置 user表外键，user.id
    * @param userIdList
    */
    public StaffQuery userIdList(List<Long> userIdList){
        this.userIdList = userIdList;
		return this;
        }

        /**
        * 设置 user表外键，user.id
        * @param userIdNotList
        */
        public StaffQuery userIdNotList(List<Long> userIdNotList){
        this.userIdNotList = userIdNotList;
        return this;
        }


	/**
    * 设置 登录名
    * @param loginName
    */
    public StaffQuery loginName(String loginName){
        setLoginName(loginName);
		return this;
    }

    /**
    * 设置 登录名
    * @param loginNameList
    */
    public StaffQuery loginNameList(List<String> loginNameList){
        this.loginNameList = loginNameList;
		return this;
    }


	/**
    * 设置 登录密码
    * @param loginPwd
    */
    public StaffQuery loginPwd(String loginPwd){
        setLoginPwd(loginPwd);
		return this;
    }

    /**
    * 设置 登录密码
    * @param loginPwdList
    */
    public StaffQuery loginPwdList(List<String> loginPwdList){
        this.loginPwdList = loginPwdList;
		return this;
    }


	/**
    * 设置 真实姓名
    * @param realName
    */
    public StaffQuery realName(String realName){
        setRealName(realName);
		return this;
    }

    /**
    * 设置 真实姓名
    * @param realNameList
    */
    public StaffQuery realNameList(List<String> realNameList){
        this.realNameList = realNameList;
		return this;
    }


	/**
    * 设置 照片
    * @param photoPath
    */
    public StaffQuery photoPath(String photoPath){
        setPhotoPath(photoPath);
		return this;
    }

    /**
    * 设置 照片
    * @param photoPathList
    */
    public StaffQuery photoPathList(List<String> photoPathList){
        this.photoPathList = photoPathList;
		return this;
    }


	/**
    * 设置 联系方式
    * @param phoneNumber
    */
    public StaffQuery phoneNumber(String phoneNumber){
        setPhoneNumber(phoneNumber);
		return this;
    }

    /**
    * 设置 联系方式
    * @param phoneNumberList
    */
    public StaffQuery phoneNumberList(List<String> phoneNumberList){
        this.phoneNumberList = phoneNumberList;
		return this;
    }


	/**
    * 设置 所属部门
    * @param deptName
    */
    public StaffQuery deptName(String deptName){
        setDeptName(deptName);
		return this;
    }

    /**
    * 设置 所属部门
    * @param deptNameList
    */
    public StaffQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
		return this;
    }

    /**
    * 设置  累计代办次数
    * @param totalNum
    */
    public StaffQuery totalNum(Integer totalNum){
	    setTotalNum(totalNum);
		return this;
    }
	
	 /**
    * 设置 开始 累计代办次数
    * @param totalNumStart
    */
    public StaffQuery totalNumStart(Integer totalNumStart){
		this.totalNumStart = totalNumStart;
		return this;
    }

    /**
    * 设置 结束 累计代办次数
    * @param totalNumEnd
    */
    public StaffQuery totalNumEnd(Integer totalNumEnd){
		this.totalNumEnd = totalNumEnd;
		return this;
    }

    /**
    * 设置 增加 累计代办次数
    * @param totalNumIncrement
    */
    public StaffQuery totalNumIncrement(Integer totalNumIncrement){
		this.totalNumIncrement = totalNumIncrement;
		return this;
    }

    /**
    * 设置 累计代办次数
    * @param totalNumList
    */
    public StaffQuery totalNumList(List<Integer> totalNumList){
        this.totalNumList = totalNumList;
		return this;
        }

        /**
        * 设置 累计代办次数
        * @param totalNumNotList
        */
        public StaffQuery totalNumNotList(List<Integer> totalNumNotList){
        this.totalNumNotList = totalNumNotList;
        return this;
        }

    /**
    * 设置  累计评分
    * @param totalScore
    */
    public StaffQuery totalScore(Integer totalScore){
	    setTotalScore(totalScore);
		return this;
    }
	
	 /**
    * 设置 开始 累计评分
    * @param totalScoreStart
    */
    public StaffQuery totalScoreStart(Integer totalScoreStart){
		this.totalScoreStart = totalScoreStart;
		return this;
    }

    /**
    * 设置 结束 累计评分
    * @param totalScoreEnd
    */
    public StaffQuery totalScoreEnd(Integer totalScoreEnd){
		this.totalScoreEnd = totalScoreEnd;
		return this;
    }

    /**
    * 设置 增加 累计评分
    * @param totalScoreIncrement
    */
    public StaffQuery totalScoreIncrement(Integer totalScoreIncrement){
		this.totalScoreIncrement = totalScoreIncrement;
		return this;
    }

    /**
    * 设置 累计评分
    * @param totalScoreList
    */
    public StaffQuery totalScoreList(List<Integer> totalScoreList){
        this.totalScoreList = totalScoreList;
		return this;
        }

        /**
        * 设置 累计评分
        * @param totalScoreNotList
        */
        public StaffQuery totalScoreNotList(List<Integer> totalScoreNotList){
        this.totalScoreNotList = totalScoreNotList;
        return this;
        }


	/**
    * 设置 备注
    * @param remark
    */
    public StaffQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public StaffQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public StaffQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public StaffQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public StaffQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public StaffQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public StaffQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public StaffQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }



    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<StaffQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<StaffQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<StaffQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<StaffQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}